KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemStringList Class Reference

`from PyKDE4.kdecore import *`

Inherits: KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a string list preferences item.

## Methods
| __init__ (self, QString _group, QString _key, QStringList reference, QStringList defaultValue=QStringList())
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, QStringList v)
| setProperty (self, QVariant p)
| setValue (self, QStringList v)
| swapDefault (self)
QStringList | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QStringList | reference,
|  | QStringList | defaultValue=QStringList()
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &) const

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property()

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | QStringList | v
| ) |  |  |

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)

setValue | ( | self, |
|  | QStringList | v
| ) |  |  |

swapDefault | ( |  | self ) |

QStringList value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |